# List Merchant Verifications

Retrieve a list of all the Verifications for a Merchant resource.

For details on how to query endpoints using the available parameters, see Query Parameters.

Endpoint: GET /merchants/{merchant_id}/verifications
Version: 2022-02-01
Security: BasicAuth

## Path parameters:

  - `merchant_id` (string, required)
    The Merchant ID.

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see Versioning.
    Example: "2022-02-01"

## Query parameters:

  - `after_cursor` (string)
    Return every resource created after the cursor value.

  - `before_cursor` (string)
    Return every resource created before the cursor value.

  - `limit` (integer)
    The numbers of items to return.
    Example: 10

## Response 200 fields (application/json):

  - `page` (object)
    Details the page that's returned.

  - `page.limit` (integer)
    The number of entries to return.

  - `page.next_cursor` (string,null)
    The cursor to use for the next page of results.

  - `_embedded` (object)

  - `_embedded.verifications` (array)

  - `_embedded.verifications.id` (string)
    The ID of the resource.

  - `_embedded.verifications.created_at` (string)
    Timestamp of when the object was created.

  - `_embedded.verifications.updated_at` (string)
    Timestamp of when the object was last updated.

  - `_embedded.verifications.application` (string)
    ID of the Application the resource was created under.

  - `_embedded.verifications.identity` (string,null)
    The ID of the Identity used to create the Merchant.

  - `_embedded.verifications.merchant` (string)
    The ID of the Merchant sent for verification.

  - `_embedded.verifications.merchant_identity` (string)
    The Identity ID associated with the Merchant.

  - `_embedded.verifications.messages` (array)
    A codified list of reasons the verification request failed.

  - `_embedded.verifications.outcome_summary` (string)
    A message providing additional context about why the verification request failed, available for SELLER merchants only.

  - `_embedded.verifications.outcomes` (array)
    A codified list of reasons the verification request failed, available for SELLER merchants only.

  - `_embedded.verifications.payment_instrument` (string)
    This field is not applicable to merchant verification.

  - `_embedded.verifications.payment_instrument_verification_details` (object)
    This object is not applicable to merchant verification.

  - `_embedded.verifications.payment_instrument_verification_details.push_to_card_domestic` (string,null)
    This object is not applicable to merchant verification.

  - `_embedded.verifications.payment_instrument_verification_details.push_to_card_cross_border` (string,null)
    This object is not applicable to merchant verification.

  - `_embedded.verifications.payment_instrument_verification_details.card_type` (string,null)
    This object is not applicable to merchant verification.

  - `_embedded.verifications.payment_instrument_verification_details.billing_currency` (string,null)
    This object is not applicable to merchant verification.

  - `_embedded.verifications.payment_instrument_verification_details.issuer_country` (string,null)
    This object is not applicable to merchant verification.

  - `_embedded.verifications.processor` (string)
    Name of the verification processor.
    Enum: "FINIX_V1", "DUMMY_V1"

  - `_embedded.verifications.raw` (any)
    Raw response from the processor. For SELLER Merchants, please use the newer outcomes and outcome_summary fields.

  - `_embedded.verifications.state` (string)
    The state of the verification request.
    Enum: "PENDING", "FAILED", "SUCCEEDED"

  - `_embedded.verifications.tags` (object,null)
    Include up to 50 key: value pairs to annotate requests with custom metadata.
- Maximum character length for individual keys is 40.
- Maximum character length for individual values is 500.
(For example, order_number: 25, item_type: produce, department: sales)

  - `_embedded.verifications.trace_id` (string)
    An ID used for tracking the verification request.

  - `_embedded.verifications.type` (string)
    Details the type of resource getting verified.
    Enum: "MERCHANT"

  - `_embedded.verifications.sub_type` (string,null)
    Specifies the [Gateway Integration](/api/gateway-integrations) linked to the [Merchant](/api/merchants). If the merchant is not linked to a Gateway Integration, this field will be null. At this time, CYBERSOURCE is the only supported Gateway Integration.
    Enum: "CYBERSOURCE"

  - `_embedded.verifications._links` (object)
    For your convenience, every response includes several URLs which link to resources relevant to the request. You can use these _links to make your follow-up requests and quickly access relevant IDs.

  - `_embedded.verifications._links.self` (object)
    Link to the Verification.

  - `_embedded.verifications._links.self.href` (string)

  - `_embedded.verifications._links.merchant` (object)
    Link to the Merchant sent in the verification request.

  - `_embedded.verifications._links.merchant.href` (string)

  - `_embedded.verifications._links.application` (object)
    Link to the Application associated with this resource.

  - `_embedded.verifications._links.application.href` (string)

  - `_links` (object)

  - `_links.self` (object)
    Link to the resource that was used in the request.

  - `_links.self.href` (string)

  - `_links.next` (object)
    Link to the next page of entries.

  - `_links.next.href` (string)

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.


